# final-project

```
stack build
```

### To execute the sequential version
```
stack exec final-project-exe filePath minSupp
```
* example
```
stack exec final-project-exe "10000.txt" 0.02
```

### To execute the parListChunk version
```
stack exec final-project-exe fileName minSupp "parallel" chunk
```
* example
```
stack exec final-project-exe "10000.txt" 0.02 "parallel" 500
```

### To execute the parMap version
```
stack exec final-project-exe fileName minSupp "monad-par"
```
* example
```
stack exec final-project-exe "10000.txt" 0.02 "monad-par"
```